Tags
Tags are used to categorize providers according to the type of leisure they offer, for example: Theme parks, Shows, Museums, Concerts, etc.
The identifiers of the assigned tags can be seen in the catalog at provider level.
Access method
GET /activity/tags
Request structure
LanguageCode(string): identifier of the language in which we want to obtain the tags. ISO 639-1 format.
Request examples
{{url}}/Activity/Tags
{{url}}/Activity/Tags?LanguageCode=en
Response structure
-
Tags(list): array of tags.Tag(object): tag.Id(string): tag identifier. 13-character alphanumeric.Key(int): tag key. Unique integer value across all tags.Name(string): tag name (for example "Theaters and shows").PathName(string): tag path separated by "/" if it has child tags (for example "Theaters and shows / Concerts").Children(list): child tags of the current tag. The nesting level is infinite, so there may be tags with a depth of N children. The child tag structure is the same as the parent tag structure.
-
Success(boolean): value that indicates whether the call was processed correctly or not. Timestamp(dateTime): time at which the request was processed. ISO 8601 format (yyyy-MM-ddThh:mm:ss.fffffff).ErrorMessage(string): error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCodes(string[]): list of codes that identify the errors that occurred in the call.ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response example
{
"Tags":
[
{
"Id": "64xr3o789ak44",
"Key": 230,
"Name": "Tipos de Ocio",
"PathName": "Tipos de Ocio",
"Children":
[
{
"Id": "3e567cbkgx9ma",
"Key": 163,
"Name": "Musicales y Espectáculos",
"PathName": "Tipos de Ocio / Musicales y Espectáculos",
"Children":
[
{
"Id": "9nkchr345eik1",
"Key": 245,
"Name": "Conciertos",
"PathName": "Tipos de Ocio / Musicales y Espectáculos / Conciertos",
"Children": []
},
{
"Id": "e9hto9hd2pcxk",
"Key": 458,
"Name": "Festivales",
"PathName": "Tipos de Ocio / Musicales y Espectáculos / Festivales",
"Children": []
}
]
},
{
"Id": "81uq423c78es1c",
"Key": 169,
"Name": "Parques de Ocio",
"PathName": "Tipos de Ocio / Parques de Ocio",
"Children": [
{
"Id": "4nhbjg678htarw",
"Key": 845,
"Name": "Parques Temáticos y de Atracciones",
"PathName": "Tipos de Ocio / Parques de Ocio / Parques Temáticos y de Atracciones",
"Children": []
},
{
"Id": "pgsoyffj5epds",
"Key": 600,
"Name": "Parques Zoológicos y Acuarios",
"PathName": "Tipos de Ocio / Parques de Ocio / Parques Zoológicos y Acuarios",
"Children": []
}
]
}
]
}
]
}